Rendley docs

Workspaces

List workspaces

GET /v1/workspaces

List all workspaces belonging to the authenticated user.

Request

curl "https://api.rendley.com/v1/workspaces" \
  -H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.rendley.com/v1/workspaces", {
  headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json();
import requests

res = requests.get(
    "https://api.rendley.com/v1/workspaces",
    headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"]
Example response
{
  "data": [
    {
      "id": "string",
      "name": "string"
    }
  ]
}
Response codes
Status Description
200 OK
401 Unauthorized

Create a workspace

POST /v1/workspaces

Create a new workspace for the authenticated user.

Request

curl -X POST "https://api.rendley.com/v1/workspaces" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "<name>"
  }'
const res = await fetch("https://api.rendley.com/v1/workspaces", {
  method: "POST",
  headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
  body: JSON.stringify({
    "name": "<name>"
  }),
});
const { data } = await res.json();
import requests

res = requests.post(
    "https://api.rendley.com/v1/workspaces",
    headers={"Authorization": "Bearer YOUR_API_KEY"},
    json={
      "name": "<name>"
    },
)
data = res.json()["data"]

Request body

Name Type Required Description
name string Required
Example response
{
  "data": {
    "id": "string",
    "name": "string"
  }
}
Response codes
Status Description
200 OK
400 Bad Request
401 Unauthorized
403 Forbidden